import { h } from 'vue';
import { NTag } from 'naive-ui';

export const columns = [
  {
    type: 'selection',
    width: 50,
    fixed: 'left',
  },
  {
    title: 'ID',
    key: 'id',
    fixed: 'left',
    width: 50,
  },
  {
    title: '位置描述',
    key: 'description',
    width: 250,
    render(record) {
      return record.layoutDescription + '>>' + record.layoutLocation;
    },
  },
  {
    title: '推荐类型',
    key: 'typeText',
    width: 100,
  },
  {
    title: '推荐ID',
    key: 'typeId',
    width: 100,
  },
  {
    title: '推荐标题',
    key: 'typeTitle',
    width: 200,
  },
  {
    title: '排序',
    key: 'sort',
    width: 100,
  },
  {
    title: '创建人',
    key: 'createUser',
    width: 100,
  },
  {
    title: '创建时间',
    key: 'createTime',
    width: 180,
  },
];
