import { FormSchema } from '@/components/Form/index';
export const schemas: FormSchema[] = [
  {
    field: 'name',
    component: 'NInput',
    label: '参数名称',
    componentProps: {
      placeholder: '请输入参数名称',
    },
  },
  {
    field: 'type',
    component: 'NSelect',
    label: '参数类型',
    componentProps: {
      placeholder: '请选择参数类型',
      clearable: true,
      options: [
        {
          label: '系统',
          value: '0',
        },
        {
          label: '业务',
          value: '1',
        },
      ],
    },
  },
  {
    field: 'status',
    component: 'NSelect',
    label: '参数状态',
    componentProps: {
      placeholder: '请选择状态',
      clearable: true,
      options: [
        {
          label: '正常',
          value: '1',
        },
        {
          label: '禁用',
          value: '2',
        },
      ],
    },
  },
];
