import { h } from 'vue';

export const diskColumns = [
  {
    title: '盘符路径',
    key: 'dirName',
  },
  {
    title: '文件系统',
    key: 'sysTypeName',
  },
  {
    title: '盘符类型',
    key: 'typeName',
  },
  {
    title: '总大小',
    key: 'total',
  },
  {
    title: '可用大小',
    key: 'free',
  },
  {
    title: '已用大小',
    key: 'used',
  },
  {
    title: '已用百分比',
    key: 'usage',
    render(record) {
      return h('span', record.usage + '%');
    },
  },
];
