import { FormSchema } from '@/components/Form/index';
export const schemas: FormSchema[] = [
  {
    field: 'name',
    component: 'NInput',
    label: '数据源名称',
    componentProps: {
      placeholder: '请输入数据源名称',
    },
  },
  {
    field: 'dbType',
    component: 'NSelect',
    label: '数据库类型',
    componentProps: {
      placeholder: '请选择数据库类型',
      clearable: true,
      options: [
        {
          label: 'MySQL',
          value: 1,
        },
        {
          label: 'PostgreSQL',
          value: 2,
        },
        {
          label: 'SQLServer',
          value: 3,
        },
        {
          label: 'Oracle',
          value: 4,
        },
        {
          label: 'Sqlite',
          value: 5,
        },
      ],
    },
  },
];
