import { h } from 'vue';
import { ElTag } from 'element-plus';

export const columns = [
  {
    type: 'selection',
    width: 50,
    fixed: 'left',
  },
  {
    title: '数据表名称',
    key: 'tableName',
    width: 150,
  },
  {
    title: '数据表描述',
    key: 'tableComment',
    width: 150,
  },
  {
    title: '数据表引擎',
    key: 'engine',
    width: 100,
  },
  {
    title: '数据表行数',
    key: 'tableRows',
    width: 100,
  },
  {
    title: '数据表长度',
    key: 'dataLength',
    width: 100,
  },
  {
    title: '数据表自增索引',
    key: 'autoIncrement',
    width: 120,
  },
  {
    title: '数据表编码',
    key: 'tableCollation',
    width: 150,
  },
  {
    title: '创建时间',
    key: 'createTime',
    width: 180,
  },
];
